## ros-indigo-concert-service-indoor-2d-map-prep 0.1.12

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(concert_service_indoor_2d_map_prep)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

##############################################################################
# Installs
##############################################################################

install(
    PROGRAMS 
        scripts/make_a_map_pimp.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(DIRECTORY services
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-concert-service-indoor-2d-map-prep (0.1.12-0trusty) trusty; urgency=high

  * use rocon_apps/make_a_map closes #48 <https://github.com/robotics-in-concert/concert_services/issues/48>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.11-0trusty) trusty; urgency=high

  * pass service name as param
  * it errors if service param does not exist
  * utilise software farm to use world canvas closes #38 <https://github.com/robotics-in-concert/concert_services/issues/38>
  * control interaction params with service param closes #45 <https://github.com/robotics-in-concert/concert_services/issues/45>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.10-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.9-0trusty) trusty; urgency=high

  * fix service name
  * Merge branch 'indigo' of https://github.com/robotics-in-concert/concert_services into indigo
  * add concert_software_common dependency closes #42 <https://github.com/robotics-in-concert/concert_services/issues/42>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.8-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.7-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.6-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.5-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.3-0trusty) trusty; urgency=high

  * update service launcher
  * rename initialisation to indoor_2d_map_prep
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.2-0trusty) trusty; urgency=high

  * add rocon_admin_app in admin service
  * updates
  * remove paramter for map annotation
  * remove wc namespace from pimp
  * now wc namespace is interaction parameter
  * add map annotation
  * rename concert_service_make_a_map to concert_service_initialisation. add map annotation service
  * Contributors: Jihoon Lee
  * add rocon_admin_app in admin service
  * updates
  * remove paramter for map annotation
  * remove wc namespace from pimp
  * now wc namespace is interaction parameter
  * add map annotation
  * rename concert_service_make_a_map to concert_service_initialisation. add map annotation service
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-service-indoor-2d-map-prep (0.1.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 25 Aug 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-concert-service-indoor-2d-map-prep
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/concert_service_indoor_2d_map_prep
Standards-Version: 3.9.2

Package: ros-indigo-concert-service-indoor-2d-map-prep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-msgs, ros-indigo-concert-scheduler-requests, ros-indigo-concert-service-msgs, ros-indigo-concert-service-utilities, ros-indigo-concert-software-common, ros-indigo-concert-software-farmer, ros-indigo-rocon-python-comms, ros-indigo-rocon-std-msgs, ros-indigo-rocon-uri, ros-indigo-rospy, ros-indigo-scheduler-msgs, ros-indigo-unique-id
Description: Services to initilise indoor 2d map environment. Make a map and annotation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-concert-service-indoor-2d-map-prep//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
